EditHintType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum EditHintType

- java.lang.Object
- - java.lang.Enum<EditHintType>
  - - tv.amwa.maj.enumeration.EditHintType

- All Implemented Interfaces:
    Serializable, Comparable<EditHintType>, MediaEnumerationValue

      public enum EditHintType
      extends Enum<EditHintType>
      implements MediaEnumerationValue

  Specifies hints to be used when editing control points. The hint is used to describe how to alter a control point if an operation group that contains it is itself altered in size.

  Original C name: `aafEditHint_e`

  See Also:
    `ControlPoint.getEditHint()`, `TypeDefinitions.EditHintType`, `OperationGroup`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NoEditHint` No hint on how to update the control point is provided.
    `Proportional` The change to the control point value is in linear proportion to the change in the overall operation group size.
    `RelativeFixed` The control point should maintain the same relative difference between itself and the control points either side.
    `RelativeLeft` The control point should maintain the same difference between itself and the control point to its left.
    `RelativeRight` The control point should maintain the same difference between itself and the control point to its right.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static EditHintType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EditHintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### NoEditHint

          public static final EditHintType NoEditHint

      No hint on how to update the control point is provided.

    - #### Proportional

          public static final EditHintType Proportional

      The change to the control point value is in linear proportion to the change in the overall operation group size.

    - #### RelativeLeft

          public static final EditHintType RelativeLeft

      The control point should maintain the same difference between itself and the control point to its left.

    - #### RelativeRight

          public static final EditHintType RelativeRight

      The control point should maintain the same difference between itself and the control point to its right.

    - #### RelativeFixed

          public static final EditHintType RelativeFixed

      The control point should maintain the same relative difference between itself and the control points either side.

  - ### Method Detail

    - #### values

          public static EditHintType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EditHintType c : EditHintType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EditHintType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.